This endpoint has been deprecated as of February 2025 as we no longer support the creation of new serverless instances. Please use the Upgrade Flex Cluster endpoint to upgrade Flex clusters.
Upgrades a shared-tier cluster to a serverless instance in the specified project.
Role requirements
- Project Cluster Manager
POST
/api/atlas/v1.0/groups/{groupId}/clusters/tenantUpgradeToServerless
curl \
--request POST 'https://cloud.mongodb.com/api/atlas/v1.0/groups/32b6e34b3d91647abb20e7b8/clusters/tenantUpgradeToServerless' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"name":"string","providerSettings":{"backingProviderName":"AWS","providerName":"SERVERLESS","regionName":"string"},"serverlessBackupOptions":{"serverlessContinuousBackupEnabled":true},"tags":[{"key":"string","value":"string"}],"terminationProtectionEnabled":false}'
Request examples
{
"name": "string",
"providerSettings": {
"backingProviderName": "AWS",
"providerName": "SERVERLESS",
"regionName": "string"
},
"serverlessBackupOptions": {
"serverlessContinuousBackupEnabled": true
},
"tags": [
{
"key": "string",
"value": "string"
}
],
"terminationProtectionEnabled": false
}
Response examples (200)
{
"connectionStrings": {
"privateEndpoint": [
{
"endpoints": [
{
"endpointId": "string",
"providerName": "AWS",
"region": "string"
}
],
"srvConnectionString": "string",
"type": "MONGOS"
}
],
"standardSrv": "string"
},
"createDate": "2026-05-04T09:42:00Z",
"groupId": "32b6e34b3d91647abb20e7b8",
"id": "32b6e34b3d91647abb20e7b8",
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"mongoDBVersion": "string",
"name": "string",
"providerSettings": {
"backingProviderName": "AWS",
"effectiveDiskSizeGBLimit": 42,
"effectiveInstanceSizeName": "M10",
"effectiveProviderName": "string",
"providerName": "SERVERLESS",
"regionName": "string"
},
"serverlessBackupOptions": {
"serverlessContinuousBackupEnabled": true
},
"stateName": "IDLE",
"tags": [
{
"key": "string",
"value": "string"
}
],
"terminationProtectionEnabled": false
}
Response examples (400)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
Response examples (401)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
Response examples (402)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 402,
"errorCode": "NO_PAYMENT_INFORMATION_FOUND",
"reason": "Payment Required"
}
Response examples (403)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
Response examples (404)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
Response examples (409)
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot delete organization link while there is active migration in following project ids: 60c4fd418ebe251047c50554",
"error": 409,
"errorCode": "CANNOT_DELETE_ORG_ACTIVE_LIVE_MIGRATION_ATLAS_ORG_LINK",
"reason": "Conflict"
}
Response examples (500)
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}